<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: student/method.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">method.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;student/callbackAndData.h&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="structMethod.html">    8</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structMethod.html">Method</a>{</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="structMethod.html#aaddba0e56fc557d19a98d6a09983aad6">    9</a></span>&#160;  <a class="code" href="structCallbackAndData.html">CallbackAndData</a> <a class="code" href="structMethod.html#aaddba0e56fc557d19a98d6a09983aad6">onInit</a>;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="structMethod.html#aac602b0d44dd0924ecbc1cd2bd49f22c">   10</a></span>&#160;  <a class="code" href="structCallbackAndData.html">CallbackAndData</a> <a class="code" href="structMethod.html#aac602b0d44dd0924ecbc1cd2bd49f22c">onDraw</a>;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structMethod.html#a62d3ac9d92696fecf99fa4e02b441d72">   11</a></span>&#160;  <a class="code" href="structCallbackAndData.html">CallbackAndData</a> <a class="code" href="structMethod.html#a62d3ac9d92696fecf99fa4e02b441d72">onExit</a>;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="structMethod.html#aaa3bc473db253cbd522121f15781bd25">   12</a></span>&#160;  <span class="keywordtype">char</span> <span class="keyword">const</span>*     <a class="code" href="structMethod.html#aaa3bc473db253cbd522121f15781bd25">name</a>  ;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;};</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structMethod.html">Method</a> <a class="code" href="structMethod.html">Method</a>;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordtype">void</span> method_init(<a class="code" href="structMethod.html">Method</a>*<span class="keyword">const</span> m);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="ttc" id="structMethod_html_aac602b0d44dd0924ecbc1cd2bd49f22c"><div class="ttname"><a href="structMethod.html#aac602b0d44dd0924ecbc1cd2bd49f22c">Method::onDraw</a></div><div class="ttdeci">CallbackAndData onDraw</div><div class="ttdoc">on draw callback - called every frame </div><div class="ttdef"><b>Definition:</b> method.h:10</div></div>
<div class="ttc" id="structMethod_html_aaa3bc473db253cbd522121f15781bd25"><div class="ttname"><a href="structMethod.html#aaa3bc473db253cbd522121f15781bd25">Method::name</a></div><div class="ttdeci">char const  * name</div><div class="ttdoc">method&amp;#39;s name </div><div class="ttdef"><b>Definition:</b> method.h:12</div></div>
<div class="ttc" id="structMethod_html"><div class="ttname"><a href="structMethod.html">Method</a></div><div class="ttdoc">This struct represents one method of rendering a scene. </div><div class="ttdef"><b>Definition:</b> method.h:8</div></div>
<div class="ttc" id="structMethod_html_a62d3ac9d92696fecf99fa4e02b441d72"><div class="ttname"><a href="structMethod.html#a62d3ac9d92696fecf99fa4e02b441d72">Method::onExit</a></div><div class="ttdeci">CallbackAndData onExit</div><div class="ttdoc">on exit callback - called once at the end </div><div class="ttdef"><b>Definition:</b> method.h:11</div></div>
<div class="ttc" id="structCallbackAndData_html"><div class="ttname"><a href="structCallbackAndData.html">CallbackAndData</a></div><div class="ttdoc">This struct represents callback with user data. </div><div class="ttdef"><b>Definition:</b> callbackAndData.h:11</div></div>
<div class="ttc" id="structMethod_html_aaddba0e56fc557d19a98d6a09983aad6"><div class="ttname"><a href="structMethod.html#aaddba0e56fc557d19a98d6a09983aad6">Method::onInit</a></div><div class="ttdeci">CallbackAndData onInit</div><div class="ttdoc">on init callback - called once at the start </div><div class="ttdef"><b>Definition:</b> method.h:9</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
